import type SettingTopEntry from "./SettingTopEntry";
import { FieldConfig } from '../types';
import { PropValue } from 'vitis-lowcode-types';
export default class SettingField {
    owner: SettingTopEntry;
    readonly config: FieldConfig;
    readonly id: string;
    fields: SettingField[];
    constructor(owner: SettingTopEntry, config: FieldConfig);
    private get isGroup();
    get title(): string;
    get name(): string;
    get parentName(): string;
    get setters(): {
        name: string;
        props?: {
            [attr: string]: any;
            defaultValue?: any;
        };
    }[];
    private get isExtra();
    private get PropKey();
    getValue: () => any;
    setValue: (value: PropValue) => void;
}
